| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::VISAResourceInfo Class Reference

Information about a VISA resource. More...

`#include <VISAInstrumentTypes.h>`

## Public Types
typedef std::string | tClass
| Class: INSTR / RAW / ...
typedef std::string | tExpandedName
| Full resource name.
typedef std::string | tAlias
| Alias, if any.

## Public Member Functions
| VISAResourceInfo (eInterfaceType Type=eInterfaceType::GPIB, tInterfaceNumber Number=0, tClass Class="", tExpandedName Expname="", tAlias Alias="")
| Constructor.
const eInterfaceType & | Type () const
| Return interface type.
const tInterfaceNumber & | Number () const
| Return interface number.
const tClass & | Class () const
| Return interface class.
const tExpandedName & | ExpName () const
| Return full resource name.
const tAlias & | Alias () const
| Return alias.

## Detailed Description

Information about a VISA resource.

Definition at line 190 of file VISAInstrumentTypes.h.

## Member Typedef Documentation

## ◆ tAlias

typedef std::string MTL::Instrument::VISAResourceInfo::tAlias

Alias, if any.

Definition at line 195 of file VISAInstrumentTypes.h.

## ◆ tClass

typedef std::string MTL::Instrument::VISAResourceInfo::tClass

Class: INSTR / RAW / ...

Definition at line 193 of file VISAInstrumentTypes.h.

## ◆ tExpandedName

typedef std::string MTL::Instrument::VISAResourceInfo::tExpandedName

Full resource name.

Definition at line 194 of file VISAInstrumentTypes.h.

## Constructor & Destructor Documentation

## ◆ VISAResourceInfo()

MTL::Instrument::VISAResourceInfo::VISAResourceInfo | ( | eInterfaceType | Type = eInterfaceType::GPIB,
|  | tInterfaceNumber | Number = 0,
|  | tClass | Class = "",
|  | tExpandedName | Expname = "",
|  | tAlias | Alias = "" )
| inline

Constructor.

Definition at line 204 of file VISAInstrumentTypes.h.

## Member Function Documentation

## ◆ Alias()

const tAlias & MTL::Instrument::VISAResourceInfo::Alias | ( |  | ) | const
| inline

Return alias.

Definition at line 223 of file VISAInstrumentTypes.h.

## ◆ Class()

const tClass & MTL::Instrument::VISAResourceInfo::Class | ( |  | ) | const
| inline

Return interface class.

Definition at line 215 of file VISAInstrumentTypes.h.

## ◆ ExpName()

const tExpandedName & MTL::Instrument::VISAResourceInfo::ExpName | ( |  | ) | const
| inline

Return full resource name.

Definition at line 219 of file VISAInstrumentTypes.h.

## ◆ Number()

const tInterfaceNumber & MTL::Instrument::VISAResourceInfo::Number | ( |  | ) | const
| inline

Return interface number.

Definition at line 211 of file VISAInstrumentTypes.h.

## ◆ Type()

const eInterfaceType & MTL::Instrument::VISAResourceInfo::Type | ( |  | ) | const
| inline

Return interface type.

Definition at line 207 of file VISAInstrumentTypes.h.

The documentation for this class was generated from the following file:

- Common/VISAInstrument/include/VISAInstrumentTypes.h